<?php
namespace Teknisa\CNC\Controllers;

use Zeedhi\Framework\DTO\Response\Message;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Response;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO;
use Zeedhi\Framework\DTO\Response\Error;
use Teknisa\CNC\Services;

class Cnc01900RelatorioTaxaVendaCheck extends \Zeedhi\Framework\Controller\Simple {

    protected $relTaxaVendaService;
    public function __construct(Services\Cnc01900RelTaxaVendaService $relTaxaVendaService) {
        $this->relTaxaVendaService = $relTaxaVendaService;
    }

    public function getTaxaVendaCheck(Request\Filter $request, Response $response){
        try {
            $params = $request->getFilterCriteria()->getConditions();
            $resultadoFiltrado = $this->relTaxaVendaService->getTaxaVendaCheck($params);

            $response->addDataSet(new \Zeedhi\Framework\DataSource\DataSet('cnc01900_relTaxaVendaCheck', $resultadoFiltrado));
        } catch (\Exception $e) {
            $response->addMessage(new Message($e->getMessage()));
        }
    }
}